Scripts for building an image containing tools needed for prebuilder.py
=======================================================================

Scripts in this repo are [Unlicensed ![](https://raw.githubusercontent.com/unlicense/unlicense.org/master/static/favicon.png)](https://unlicense.org/).

Third-party components have own licenses.

**DISCLAIMER: BADGES BELOW DO NOT REFLECT THE STATE OF THE DEPENDENCIES IN THE CONTAINER**

This builds a Docker image contains the following components:
* [`registry.gitlab.com/kolanich-subgroups/docker-images/fixed_python:latest` Docker image](https://gitlab.com/KOLANICH-subgroups/docker-images/fixed_python), each component of which has own license;

* [`sh`](https://github.com/amoffat/sh)[![PyPi Status](https://img.shields.io/pypi/v/sh.svg)](https://pypi.org/pypi/sh)[![Travis build](https://img.shields.io/travis/amoffat/sh/master.svg)](https://travis-ci.org/amoffat/sh)[![Coveralls Coverage](https://img.shields.io/coveralls/amoffat/sh.svg)](https://coveralls.io/r/amoffat/sh)[![Libraries.io Status](https://img.shields.io/librariesio/github/amoffat/sh.svg)](https://libraries.io/github/amoffat/sh)![Licence](https://img.shields.io/github/license/amoffat/sh.svg)
    * [`gpg`me](https://code.launchpad.net/pygpgme)[![Debian Stable package](https://repology.org/badge/version-for-repo/debian_stable/python:gpg.svg)](https://packages.debian.org/stable/python:gpg)[![latest packaged version(s)](https://repology.org/badge/latest-versions/python:gpg.svg)](https://repology.org/metapackage/python:gpg/versions)[![GNU General Public License v3](https://www.gnu.org/graphics/gplv3-88x31.png)](https://www.gnu.org/licenses/gpl-3.0.en.html)
    * [`GitPython`](https://github.com/gitpython-developers/GitPython)[![PyPi Status](https://img.shields.io/pypi/v/GitPython)](https://pypi.org/pypi/GitPython)[![Travis build](https://travis-ci.org/gitpython-developers/GitPython.svg)](https://travis-ci.org/gitpython-developers/GitPython)[![Appveyor build](https://ci.appveyor.com/api/projects/status/0f3pi3c00hajlrsd/branch/master?svg=true&passingText=windows%20OK&failingText=windows%20failed)](https://ci.appveyor.com/project/Byron/gitpython/branch/master)[![Code Climate](https://codeclimate.com/github/gitpython-developers/GitPython/badges/gpa.svg)](https://codeclimate.com/github/gitpython-developers/GitPython)[![codecov coverage](https://codecov.io/gh/gitpython-developers/GitPython/branch/master/graph/badge.svg)](https://codecov.io/gh/gitpython-developers/GitPython)![Libraries.io Status](https://img.shields.io/librariesio/github/gitpython-developers/GitPython.svg)](https://libraries.io/github/gitpython-developers/GitPython)![Licence](https://img.shields.io/github/license/gitpython-developers/GitPython.svg) and some its optional dependencies
    * [`patch`](https://github.com/techtonik/python-patch)[![PyPi Status](https://img.shields.io/pypi/v/patch.svg)](https://pypi.org/pypi/patch)[![Travis build](https://img.shields.io/travis/techtonik/python-patch/master.svg)](https://travis-ci.org/techtonik/python-patch)[![Libraries.io Status](https://img.shields.io/librariesio/github/techtonik/python-patchsvg)](https://libraries.io/github/techtonik/python-patch)![Licence](https://img.shields.io/github/license/techtonik/python-patch.svg)
    * [`AnyVer`](https://gitlab.com/KOLANICH/AnyVer.py)[![PyPi Status](https://img.shields.io/pypi/v/AnyVer.svg)](https://pypi.org/pypi/AnyVer)![GitLab Build Status](https://gitlab.com/KOLANICH/AnyVer.py/badges/master/pipeline.svg)[![Coveralls Coverage](https://img.shields.io/coveralls/KOLANICH/AnyVer.py.svg)](https://coveralls.io/r/KOLANICH/AnyVer.py)![GitLab Coverage](https://gitlab.com/KOLANICH/AnyVer.py/badges/master/coverage.svg)[![Libraries.io Status](https://img.shields.io/librariesio/github/KOLANICH/AnyVer.py.svg)](https://libraries.io/github/KOLANICH/AnyVer.py)
    * [`pyelftools`](https://github.com/eliben/pyelftools) ![Licence](https://img.shields.io/github/license/eliben/pyelftools.svg) [![PyPi Status](https://img.shields.io/pypi/v/pyelftools.svg)](https://pypi.python.org/pypi/pyelftools) [![TravisCI Build Status](https://travis-ci.org/eliben/pyelftools.svg?branch=master)](https://travis-ci.org/eliben/pyelftools) [![Libraries.io Status](https://img.shields.io/librariesio/github/eliben/pyelftools.svg)](https://libraries.io/github/eliben/pyelftools)
    * [`File2Package.py`](https://gitlab.com/File2Package.py/File2Package.py)[![PyPi Status](https://img.shields.io/pypi/v/File2Package.svg)](https://pypi.org/pypi/File2Package)![GitLab Build Status](https://gitlab.com/File2Package.py/File2Package.py/badges/master/pipeline.svg)[![Coveralls Coverage](https://img.shields.io/coveralls/KOLANICH/File2Package.py.svg)](https://coveralls.io/r/KOLANICH/File2Package.py)![GitLab Coverage](https://gitlab.com/File2Package.py/File2Package.py/badges/master/coverage.svg)[![Libraries.io Status](https://img.shields.io/librariesio/github/KOLANICH/File2Package.py.svg)](https://libraries.io/github/KOLANICH/File2Package.py)
        * [`File2Package.backend.dpkg`](https://gitlab.com/File2Package.py/File2Package.backend.dpkg)[![PyPi Status](https://img.shields.io/pypi/v/File2Package.backend.dpkg.svg)](https://pypi.org/pypi/File2Package.backend.dpkg)![GitLab Build Status](https://gitlab.com/File2Package.py/File2Package.backend.dpkg/badges/master/pipeline.svg)[![Coveralls Coverage](https://img.shields.io/coveralls/KOLANICH/File2Package.backend.dpkg.svg)](https://coveralls.io/r/KOLANICH/File2Package.backend.dpkg)![GitLab Coverage](https://gitlab.com/File2Package.py/File2Package.backend.dpkg/badges/master/coverage.svg)[![Libraries.io Status](https://img.shields.io/librariesio/github/KOLANICH/File2Package.backend.dpkg.svg)](https://libraries.io/github/KOLANICH/File2Package.backend.dpkg)
    * [`CMake`](https://gitlab.com/KOLANICH/CMake.py)[![PyPi Status](https://img.shields.io/pypi/v/CMake.py.svg)](https://pypi.org/pypi/AnyVer)![GitLab Build Status](https://gitlab.com/KOLANICH/CMake.py/badges/master/pipeline.svg)[![Coveralls Coverage](https://img.shields.io/coveralls/KOLANICH/CMake.py.svg)](https://coveralls.io/r/KOLANICH/CMake.py)![GitLab Coverage](https://gitlab.com/KOLANICH/CMake.py/badges/master/coverage.svg)[![Libraries.io Status](https://img.shields.io/librariesio/github/KOLANICH/CMake.py.svg)](https://libraries.io/github/KOLANICH/CMake.py)


* CLI tools
    * [`firejail`](https://github.com/netblue30/firejail)[![Debian Stable package](https://repology.org/badge/version-for-repo/debian_stable/firejail.svg)![latest packaged version(s)](https://repology.org/badge/latest-versions/firejail.svg)](https://repology.org/metapackage/firejail/versions)[![Test Status](https://travis-ci.org/netblue30/firejail.svg?branch=master)](https://travis-ci.org/netblue30/firejail)[![Build Status](https://gitlab.com/Firejail/firejail_ci/badges/master/pipeline.svg)](https://gitlab.com/Firejail/firejail_ci/pipelines/)![Licence](https://img.shields.io/github/license/netblue30/firejail.svg)
    * [`git`](https://github.com/git/git)[![Debian Stable package](https://repology.org/badge/version-for-repo/debian_stable/git.svg)![latest packaged version(s)](https://repology.org/badge/latest-versions/git.svg)](https://repology.org/metapackage/git/versions)![Licence](https://img.shields.io/github/license/git/git.svg)
    * [`7z`](https://www.7-zip.org/download.html)[![Debian Stable package](https://repology.org/badge/version-for-repo/debian_stable/p7zip.svg)]()[![latest packaged version(s)](https://repology.org/badge/latest-versions/p7zip.svg)](https://repology.org/metapackage/p7zip/versions)
    * [`aria2c`](https://github.com/aria2/aria2)[![Debian Stable package](https://repology.org/badge/version-for-repo/debian_stable/aria2.svg)![latest packaged version(s)](https://repology.org/badge/latest-versions/aria2.svg)](https://repology.org/metapackage/aria2/versions)[![GNU General Public License v2](https://img.shields.io/github/license/aria2/aria2.svg)](https://www.gnu.org/licenses/gpl-2.0.en.html);
    * [`alien`](https://sourceforge.net/projects/alien-pkg-convert/files/)[![Debian Stable package](https://repology.org/badge/version-for-repo/debian_stable/alien.svg)![latest packaged version(s)](https://repology.org/badge/latest-versions/alien.svg)](https://repology.org/metapackage/alien/versions)[![GNU General Public License v2](https://img.shields.io/badge/license-GPL--2.0-fe7d37.svg)](https://www.gnu.org/licenses/gpl-2.0.en.html)
    * [`strip-nondeterminism`](https://salsa.debian.org/reproducible-builds/strip-nondeterminism)[![Debian Stable package](https://repology.org/badge/version-for-repo/debian_stable/strip-nondeterminism.svg)![latest packaged version(s)](https://repology.org/badge/latest-versions/strip-nondeterminism.svg)](https://repology.org/metapackage/strip-nondeterminism/versions)[![GNU General Public License v3](https://www.gnu.org/graphics/gplv3-88x31.png)](https://www.gnu.org/licenses/gpl-3.0.en.html)
    * [`fakeroot`](https://salsa.debian.org/clint/fakeroot)[![Debian Stable package](https://repology.org/badge/version-for-repo/debian_stable/fakeroot.svg)![latest packaged version(s)](https://repology.org/badge/latest-versions/fakeroot.svg)](https://repology.org/metapackage/fakeroot/versions)[![GNU General Public License v3](https://www.gnu.org/graphics/gplv3-88x31.png)](https://www.gnu.org/licenses/gpl-3.0.en.html)
    * [`reprepro`](https://salsa.debian.org/brlink/reprepro)[![Debian Stable package](https://repology.org/badge/version-for-repo/debian_stable/reprepro.svg)![latest packaged version(s)](https://repology.org/badge/latest-versions/reprepro.svg)](https://repology.org/metapackage/reprepro/versions)[![GNU General Public License v2](https://img.shields.io/badge/license-GPL--2.0-fe7d37.svg)](https://www.gnu.org/licenses/gpl-2.0.en.html)
    * [`dpkg-sig`](https://sources.debian.org/src/dpkg-sig/)[![Debian Stable package](https://repology.org/badge/version-for-repo/debian_stable/dpkg-sig.svg)](https://packages.debian.org/stable/dpkg-sig)[![latest packaged version(s)](https://repology.org/badge/latest-versions/dpkg-sig.svg)](https://repology.org/metapackage/dpkg-sig/versions)[![GNU General Public License v2 or later](https://img.shields.io/badge/license-GPL--2.0%2B-fe7d37.svg)](https://sources.debian.org/src/dpkg-sig/0.13.1+nmu4/copyright/)
    * [`dpkg-dev`](https://git.dpkg.org/cgit/dpkg/dpkg.git)[![Debian Stable package](https://repology.org/badge/version-for-repo/debian_stable/dpkg-dev.svg)](https://packages.debian.org/stable/dpkg-dev)[![latest packaged version(s)](https://repology.org/badge/latest-versions/dpkg-dev.svg)](https://repology.org/metapackage/dpkg-dev/versions)[![GNU General Public License v2 or later](https://img.shields.io/badge/license-GPL--2.0%2B-fe7d37.svg)](https://www.gnu.org/licenses/gpl-2.0.en.html)
